unit Sparkle.HttpServer.Context;

{$I Sparkle.Inc}

interface

uses
  Generics.Collections, System.Classes, System.SysUtils,
  Sparkle.Http.Headers,
  Sparkle.HttpServer.Request,
  Sparkle.HttpServer.Response;

type
  THttpMethod = Sparkle.HttpServer.Request.THttpMethod;
  THttpServerRequest = Sparkle.HttpServer.Request.THttpServerRequest;
  THttpServerResponse = Sparkle.HttpServer.Response.THttpServerResponse;

  THttpServerContext = class abstract
  strict protected
    function GetRequest: THttpServerRequest; virtual; abstract;
    function GetResponse: THttpServerResponse; virtual; abstract;
  public
    property Request: THttpServerRequest read GetRequest;
    property Response: THttpServerResponse read GetResponse;
  end;

implementation

end.
